<?xml version="1.0" encoding="US-ASCII" standalone="no"?>
    <!-- Field: Doc-Info; Name: Generator; Value: GoFiler Complete; Version: 6.3a -->
    <!-- Field: Doc-Info; Name: VendorURI; Value: https://www.novaworks.com -->
    <!-- Field: Doc-Info; Name: Status; Value: 0x00000000 -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#Cover" roleURI="http://bimergen.com/role/Cover" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#BalanceSheets" roleURI="http://bimergen.com/role/BalanceSheets" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#BalanceSheetsParenthetical" roleURI="http://bimergen.com/role/BalanceSheetsParenthetical" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StatementsOfOperations" roleURI="http://bimergen.com/role/StatementsOfOperations" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StatementsOfChangesInStockholdersEquity" roleURI="http://bimergen.com/role/StatementsOfChangesInStockholdersEquity" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StatementsOfCashFlows" roleURI="http://bimergen.com/role/StatementsOfCashFlows" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StatementsOfCashFlowsParenthetical" roleURI="http://bimergen.com/role/StatementsOfCashFlowsParenthetical" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#DescriptionOfBusinessAndGoingConcern" roleURI="http://bimergen.com/role/DescriptionOfBusinessAndGoingConcern" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SignificantAccountingPolicies" roleURI="http://bimergen.com/role/SignificantAccountingPolicies" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StockholdersEquity" roleURI="http://bimergen.com/role/StockholdersEquity" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StockOptions" roleURI="http://bimergen.com/role/StockOptions" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#RestrictedStockAwards" roleURI="http://bimergen.com/role/RestrictedStockAwards" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#AcquisitionOfEmergenEnergyLlc" roleURI="http://bimergen.com/role/AcquisitionOfEmergenEnergyLlc" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SolarProjectsSale" roleURI="http://bimergen.com/role/SolarProjectsSale" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#RelatedPartyTransactions" roleURI="http://bimergen.com/role/RelatedPartyTransactions" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#IncomeTax" roleURI="http://bimergen.com/role/IncomeTax" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SegmentInformation" roleURI="http://bimergen.com/role/SegmentInformation" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#CommitmentsAndContingencies" roleURI="http://bimergen.com/role/CommitmentsAndContingencies" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SubsequentEvents" roleURI="http://bimergen.com/role/SubsequentEvents" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SignificantAccountingPoliciesPolicies" roleURI="http://bimergen.com/role/SignificantAccountingPoliciesPolicies" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StockOptionsTables" roleURI="http://bimergen.com/role/StockOptionsTables" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#RestrictedStockAwardsTables" roleURI="http://bimergen.com/role/RestrictedStockAwardsTables" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#RelatedPartyTransactionsTables" roleURI="http://bimergen.com/role/RelatedPartyTransactionsTables" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#IncomeTaxTables" roleURI="http://bimergen.com/role/IncomeTaxTables" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SegmentInformationTables" roleURI="http://bimergen.com/role/SegmentInformationTables" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#DescriptionOfBusinessAndGoingConcernDetailsNarrative" roleURI="http://bimergen.com/role/DescriptionOfBusinessAndGoingConcernDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SignificantAccountingPoliciesDetailsNarrative" roleURI="http://bimergen.com/role/SignificantAccountingPoliciesDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StockholdersEquityDetailsNarrative" roleURI="http://bimergen.com/role/StockholdersEquityDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfStockOptionTransactionsDetails" roleURI="http://bimergen.com/role/ScheduleOfStockOptionTransactionsDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfFairValueOfValuationAssumptionsDetails" roleURI="http://bimergen.com/role/ScheduleOfFairValueOfValuationAssumptionsDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfStockOptionsOutstandingAndExercisableDetails" roleURI="http://bimergen.com/role/ScheduleOfStockOptionsOutstandingAndExercisableDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#StockOptionsDetailsNarrative" roleURI="http://bimergen.com/role/StockOptionsDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfRestrictedStockAwardsDetails" roleURI="http://bimergen.com/role/ScheduleOfRestrictedStockAwardsDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#RestrictedStockAwardsDetailsNarrative" roleURI="http://bimergen.com/role/RestrictedStockAwardsDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#AcquisitionOfEmergenEnergyLlcDetailsNarrative" roleURI="http://bimergen.com/role/AcquisitionOfEmergenEnergyLlcDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SolarProjectsSaleDetailsNarrative" roleURI="http://bimergen.com/role/SolarProjectsSaleDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfReconciliationOfStatutoryIncomeTaxRatesAndEffectiveTaxRateDetails" roleURI="http://bimergen.com/role/ScheduleOfReconciliationOfStatutoryIncomeTaxRatesAndEffectiveTaxRateDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfDeferredTaxAssetsAndLiabilitiesDetails" roleURI="http://bimergen.com/role/ScheduleOfDeferredTaxAssetsAndLiabilitiesDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#IncomeTaxDetailsNarrative" roleURI="http://bimergen.com/role/IncomeTaxDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SignificantOfSegmentExpensesAndOtherSegmentItemsDetails" roleURI="http://bimergen.com/role/SignificantOfSegmentExpensesAndOtherSegmentItemsDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#SubsequentEventsDetailsNarrative" roleURI="http://bimergen.com/role/SubsequentEventsDetailsNarrative" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfStockOptionTransactionDetails" roleURI="http://bimergen.com/role/ScheduleOfStockOptionTransactionDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfPromissoryNotesExecutedDetails" roleURI="http://bimergen.com/role/ScheduleOfPromissoryNotesExecutedDetails" />
    <link:roleRef xlink:type="simple" xlink:href="bess-20250930.xsd#ScheduleOfSignificantOfSegmentExpensesAndOtherSegmentItemsDetails" roleURI="http://bimergen.com/role/ScheduleOfSignificantOfSegmentExpensesAndOtherSegmentItemsDetails" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/Cover" xlink:title="00000001 - Document - Cover" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/BalanceSheets" xlink:title="00000002 - Statement - Condensed Consolidated Balance Sheets">
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AssetsCurrent" xlink:label="loc_us-gaapAssetsCurrent" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:label="loc_us-gaapCashAndCashEquivalentsAtCarryingValue" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapAssetsCurrent" xlink:to="loc_us-gaapCashAndCashEquivalentsAtCarryingValue" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_DeferredOfferingCosts" xlink:label="loc_us-gaapDeferredOfferingCosts" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapAssetsCurrent" xlink:to="loc_us-gaapDeferredOfferingCosts" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PrepaidExpenseCurrent" xlink:label="loc_us-gaapPrepaidExpenseCurrent" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapAssetsCurrent" xlink:to="loc_us-gaapPrepaidExpenseCurrent" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_Assets" xlink:label="loc_us-gaapAssets" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapAssets" xlink:to="loc_us-gaapAssetsCurrent" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IntangibleAssetsNetExcludingGoodwill" xlink:label="loc_us-gaapIntangibleAssetsNetExcludingGoodwill" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapAssets" xlink:to="loc_us-gaapIntangibleAssetsNetExcludingGoodwill" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LiabilitiesCurrent" xlink:label="loc_us-gaapLiabilitiesCurrent" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccountsPayableAndAccruedLiabilitiesCurrent" xlink:label="loc_us-gaapAccountsPayableAndAccruedLiabilitiesCurrent" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapLiabilitiesCurrent" xlink:to="loc_us-gaapAccountsPayableAndAccruedLiabilitiesCurrent" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ShortTermBorrowings" xlink:label="loc_us-gaapShortTermBorrowings" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapLiabilitiesCurrent" xlink:to="loc_us-gaapShortTermBorrowings" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_DeferredRevenueCurrent" xlink:label="loc_us-gaapDeferredRevenueCurrent" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapLiabilitiesCurrent" xlink:to="loc_us-gaapDeferredRevenueCurrent" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_StockholdersEquity" xlink:label="loc_us-gaapStockholdersEquity" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PreferredStockValue" xlink:label="loc_us-gaapPreferredStockValue" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapStockholdersEquity" xlink:to="loc_us-gaapPreferredStockValue" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CommonStockValue" xlink:label="loc_us-gaapCommonStockValue" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapStockholdersEquity" xlink:to="loc_us-gaapCommonStockValue" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AdditionalPaidInCapital" xlink:label="loc_us-gaapAdditionalPaidInCapital" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapStockholdersEquity" xlink:to="loc_us-gaapAdditionalPaidInCapital" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:label="loc_us-gaapRetainedEarningsAccumulatedDeficit" />
      <link:calculationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapStockholdersEquity" xlink:to="loc_us-gaapRetainedEarningsAccumulatedDeficit" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:label="loc_us-gaapLiabilitiesAndStockholdersEquity" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapLiabilitiesAndStockholdersEquity" xlink:to="loc_us-gaapLiabilitiesCurrent" xlink:type="arc" weight="1" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapLiabilitiesAndStockholdersEquity" xlink:to="loc_us-gaapStockholdersEquity" xlink:type="arc" weight="1" />
    </link:calculationLink>
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/BalanceSheetsParenthetical" xlink:title="00000003 - Statement - Condensed Consolidated Balance Sheets (Parenthetical)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StatementsOfOperations" xlink:title="00000004 - Statement - Condensed Consolidated Statements of Operations">
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_GrossProfit" xlink:label="loc_us-gaapGrossProfit" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" xlink:label="loc_us-gaapRevenueFromContractWithCustomerExcludingAssessedTax" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapGrossProfit" xlink:to="loc_us-gaapRevenueFromContractWithCustomerExcludingAssessedTax" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CostOfRevenue" xlink:label="loc_us-gaapCostOfRevenue" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapGrossProfit" xlink:to="loc_us-gaapCostOfRevenue" xlink:type="arc" weight="-1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingExpenses" xlink:label="loc_us-gaapOperatingExpenses" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_GeneralAndAdministrativeExpense" xlink:label="loc_us-gaapGeneralAndAdministrativeExpense" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapOperatingExpenses" xlink:to="loc_us-gaapGeneralAndAdministrativeExpense" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingIncomeLoss" xlink:label="loc_us-gaapOperatingIncomeLoss" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapOperatingIncomeLoss" xlink:to="loc_us-gaapGrossProfit" xlink:type="arc" weight="1" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapOperatingIncomeLoss" xlink:to="loc_us-gaapOperatingExpenses" xlink:type="arc" weight="-1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NonoperatingIncomeExpense" xlink:label="loc_us-gaapNonoperatingIncomeExpense" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_InterestIncomeOther" xlink:label="loc_us-gaapInterestIncomeOther" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNonoperatingIncomeExpense" xlink:to="loc_us-gaapInterestIncomeOther" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:label="loc_us-gaapOtherNonoperatingIncomeExpense" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNonoperatingIncomeExpense" xlink:to="loc_us-gaapOtherNonoperatingIncomeExpense" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="bess-20250930.xsd#BESS_MiscellaneousIncomeExpense" xlink:label="loc_BESSMiscellaneousIncomeExpense" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNonoperatingIncomeExpense" xlink:to="loc_BESSMiscellaneousIncomeExpense" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_InterestExpenseNonoperating" xlink:label="loc_us-gaapInterestExpenseNonoperating" />
      <link:calculationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNonoperatingIncomeExpense" xlink:to="loc_us-gaapInterestExpenseNonoperating" xlink:type="arc" weight="-1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:label="loc_us-gaapIncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapIncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="loc_us-gaapOperatingIncomeLoss" xlink:type="arc" weight="1" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapIncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="loc_us-gaapNonoperatingIncomeExpense" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaapNetIncomeLoss" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetIncomeLoss" xlink:to="loc_us-gaapIncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="loc_us-gaapIncomeTaxExpenseBenefit" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetIncomeLoss" xlink:to="loc_us-gaapIncomeTaxExpenseBenefit" xlink:type="arc" weight="-1" />
    </link:calculationLink>
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StatementsOfChangesInStockholdersEquity" xlink:title="00000005 - Statement - Condensed Consolidated Statements of Changes in Stockholders&apos; Equity" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StatementsOfCashFlows" xlink:title="00000006 - Statement - Condensed Consolidated Statements of Cash Flows">
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:label="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaapNetIncomeLoss" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaapNetIncomeLoss" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IssuanceOfStockAndWarrantsForServicesOrClaims" xlink:label="loc_us-gaapIssuanceOfStockAndWarrantsForServicesOrClaims" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaapIssuanceOfStockAndWarrantsForServicesOrClaims" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ShareBasedCompensation" xlink:label="loc_us-gaapShareBasedCompensation" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaapShareBasedCompensation" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" xlink:label="loc_us-gaapIncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" />
      <link:calculationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaapIncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" xlink:type="arc" weight="-1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInDeferredRevenue" xlink:label="loc_us-gaapIncreaseDecreaseInDeferredRevenue" />
      <link:calculationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaapIncreaseDecreaseInDeferredRevenue" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities" xlink:label="loc_us-gaapIncreaseDecreaseInAccountsPayableAndAccruedLiabilities" />
      <link:calculationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_us-gaapIncreaseDecreaseInAccountsPayableAndAccruedLiabilities" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="bess-20250930.xsd#BESS_IncreaseDecreaseInAccountsPayableAndAccruedLiabilitiesRelatedParties" xlink:label="loc_BESSIncreaseDecreaseInAccountsPayableAndAccruedLiabilitiesRelatedParties" />
      <link:calculationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:to="loc_BESSIncreaseDecreaseInAccountsPayableAndAccruedLiabilitiesRelatedParties" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:label="loc_us-gaapNetCashProvidedByUsedInFinancingActivities" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ProceedsFromIssuanceOfCommonStock" xlink:label="loc_us-gaapProceedsFromIssuanceOfCommonStock" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaapProceedsFromIssuanceOfCommonStock" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ProceedsFromShortTermDebt" xlink:label="loc_us-gaapProceedsFromShortTermDebt" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaapProceedsFromShortTermDebt" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PaymentsOfDebtIssuanceCosts" xlink:label="loc_us-gaapPaymentsOfDebtIssuanceCosts" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapNetCashProvidedByUsedInFinancingActivities" xlink:to="loc_us-gaapPaymentsOfDebtIssuanceCosts" xlink:type="arc" weight="-1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:label="loc_us-gaapCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:to="loc_us-gaapNetCashProvidedByUsedInOperatingActivities" xlink:type="arc" weight="1" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:to="loc_us-gaapNetCashProvidedByUsedInFinancingActivities" xlink:type="arc" weight="1" />
    </link:calculationLink>
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StatementsOfCashFlowsParenthetical" xlink:title="00000007 - Statement - Condensed Consolidated Statements of Cash Flows (Parenthetical)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/DescriptionOfBusinessAndGoingConcern" xlink:title="999008 - Disclosure - DESCRIPTION OF BUSINESS AND GOING CONCERN" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SignificantAccountingPolicies" xlink:title="999009 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StockholdersEquity" xlink:title="999010 - Disclosure - STOCKHOLDERS&#8217; EQUITY" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StockOptions" xlink:title="999011 - Disclosure - STOCK OPTIONS" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/RestrictedStockAwards" xlink:title="999012 - Disclosure - RESTRICTED STOCK AWARDS" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/AcquisitionOfEmergenEnergyLlc" xlink:title="999013 - Disclosure - ACQUISITION OF EMERGEN ENERGY LLC" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SolarProjectsSale" xlink:title="999014 - Disclosure - SOLAR PROJECTS SALE" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/RelatedPartyTransactions" xlink:title="999015 - Disclosure - RELATED PARTY TRANSACTIONS" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/IncomeTax" xlink:title="999016 - Disclosure - INCOME TAX" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SegmentInformation" xlink:title="999017 - Disclosure - SEGMENT INFORMATION" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/CommitmentsAndContingencies" xlink:title="999018 - Disclosure - COMMITMENTS AND CONTINGENCIES" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SubsequentEvents" xlink:title="999019 - Disclosure - SUBSEQUENT EVENTS" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SignificantAccountingPoliciesPolicies" xlink:title="999020 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Policies)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StockOptionsTables" xlink:title="999021 - Disclosure - STOCK OPTIONS (Tables)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/RestrictedStockAwardsTables" xlink:title="999022 - Disclosure - RESTRICTED STOCK AWARDS (Tables)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/RelatedPartyTransactionsTables" xlink:title="999023 - Disclosure - RELATED PARTY TRANSACTIONS (Tables)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/IncomeTaxTables" xlink:title="999024 - Disclosure - INCOME TAX (Tables)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SegmentInformationTables" xlink:title="999025 - Disclosure - SEGMENT INFORMATION (Tables)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/DescriptionOfBusinessAndGoingConcernDetailsNarrative" xlink:title="999026 - Disclosure - DESCRIPTION OF BUSINESS AND GOING CONCERN (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SignificantAccountingPoliciesDetailsNarrative" xlink:title="999027 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StockholdersEquityDetailsNarrative" xlink:title="999028 - Disclosure - STOCKHOLDERS&#8217; EQUITY (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfStockOptionTransactionsDetails" xlink:title="999029 - Disclosure - SCHEDULE OF STOCK OPTION TRANSACTIONS (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfFairValueOfValuationAssumptionsDetails" xlink:title="999030 - Disclosure - SCHEDULE OF FAIR VALUE OF VALUATION ASSUMPTIONS (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfStockOptionsOutstandingAndExercisableDetails" xlink:title="999031 - Disclosure - SCHEDULE OF STOCK OPTIONS OUTSTANDING AND EXERCISABLE (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/StockOptionsDetailsNarrative" xlink:title="999032 - Disclosure - STOCK OPTIONS (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfRestrictedStockAwardsDetails" xlink:title="999033 - Disclosure - SCHEDULE OF RESTRICTED STOCK AWARDS (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/RestrictedStockAwardsDetailsNarrative" xlink:title="999034 - Disclosure - RESTRICTED STOCK AWARDS (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/AcquisitionOfEmergenEnergyLlcDetailsNarrative" xlink:title="999035 - Disclosure - ACQUISITION OF EMERGEN ENERGY LLC (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SolarProjectsSaleDetailsNarrative" xlink:title="999036 - Disclosure - SOLAR PROJECTS SALE (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfReconciliationOfStatutoryIncomeTaxRatesAndEffectiveTaxRateDetails" xlink:title="999037 - Disclosure - SCHEDULE OF RECONCILIATION OF STATUTORY INCOME TAX RATES AND EFFECTIVE TAX RATE (Details)">
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_EffectiveIncomeTaxRateContinuingOperations" xlink:label="loc_us-gaapEffectiveIncomeTaxRateContinuingOperations" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_EffectiveIncomeTaxRateReconciliationAtFederalStatutoryIncomeTaxRate" xlink:label="loc_us-gaapEffectiveIncomeTaxRateReconciliationAtFederalStatutoryIncomeTaxRate" />
      <link:calculationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapEffectiveIncomeTaxRateContinuingOperations" xlink:to="loc_us-gaapEffectiveIncomeTaxRateReconciliationAtFederalStatutoryIncomeTaxRate" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_EffectiveIncomeTaxRateReconciliationStateAndLocalIncomeTaxes" xlink:label="loc_us-gaapEffectiveIncomeTaxRateReconciliationStateAndLocalIncomeTaxes" />
      <link:calculationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapEffectiveIncomeTaxRateContinuingOperations" xlink:to="loc_us-gaapEffectiveIncomeTaxRateReconciliationStateAndLocalIncomeTaxes" xlink:type="arc" weight="1" />
      <link:loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_EffectiveIncomeTaxRateReconciliationChangeInDeferredTaxAssetsValuationAllowance" xlink:label="loc_us-gaapEffectiveIncomeTaxRateReconciliationChangeInDeferredTaxAssetsValuationAllowance" />
      <link:calculationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaapEffectiveIncomeTaxRateContinuingOperations" xlink:to="loc_us-gaapEffectiveIncomeTaxRateReconciliationChangeInDeferredTaxAssetsValuationAllowance" xlink:type="arc" weight="1" />
    </link:calculationLink>
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfDeferredTaxAssetsAndLiabilitiesDetails" xlink:title="999038 - Disclosure - SCHEDULE OF DEFERRED TAX ASSETS AND LIABILITIES (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/IncomeTaxDetailsNarrative" xlink:title="999039 - Disclosure - INCOME TAX (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SignificantOfSegmentExpensesAndOtherSegmentItemsDetails" xlink:title="999040 - Disclosure - SIGNIFICANT OF SEGMENT EXPENSES AND OTHER SEGMENT ITEMS (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/SubsequentEventsDetailsNarrative" xlink:title="999041 - Disclosure - SUBSEQUENT EVENTS (Details Narrative)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfStockOptionTransactionDetails" xlink:title="999042 - Disclosure - SCHEDULE OF STOCK OPTION TRANSACTION (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfPromissoryNotesExecutedDetails" xlink:title="999043 - Disclosure - SCHEDULE OF PROMISSORY NOTES EXECUTED (Details)" />
    <link:calculationLink xlink:type="extended" xlink:role="http://bimergen.com/role/ScheduleOfSignificantOfSegmentExpensesAndOtherSegmentItemsDetails" xlink:title="999044 - Disclosure - SCHEDULE OF SIGNIFICANT OF SEGMENT EXPENSES AND OTHER SEGMENT ITEMS (Details)" />
</link:linkbase>
